Subject: Re: [msysGit] [PATCH v4 7/8] mingw: enable OpenSSL

From: Johannes Sixt <[email-masked]>
Date: Wed, 21 Oct 2009 14:15:41 +0200

Johannes Sixt schrieb:
> On Montag, 19. Oktober 2009, Erik Faye-Lund wrote:
>> Since we have OpenSSL in msysgit now, enable it to support SSL
>> encryption for imap-send.
>>
>> Signed-off-by: Erik Faye-Lund <[email-masked]>
> 
> Acked-by: Johannes Sixt <[email-masked]>

I seem to have ack'ed this one too early. After testing in my environment,
I get:

imap-send.o: In function `ssl_socket_perror':
D:\Src\mingw-git/imap-send.c:241: undefined reference to `ERR_get_error'
D:\Src\mingw-git/imap-send.c:241: undefined reference to `ERR_error_string'

I need this patch in addition, and perhaps something similar is also
needed with MSVC:

diff --git a/Makefile b/Makefile
index c4b91d8..7e6a1c3 100644
--- a/Makefile
+++ b/Makefile
@@ -932,6 +932,7 @@ else
 ifneq (,$(findstring MINGW,$(uname_S)))
 	pathsep = ;
 	NO_PREAD = YesPlease
+	NEEDS_CRYPTO_WITH_SSL = YesPlease
 	NO_LIBGEN_H = YesPlease
 	NO_SYMLINK_HEAD = YesPlease
 	NO_IPV6 = YesPlease